import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRElectricalGridConditionsClusterElectricalGridConditionsStruct extends _NSObject {
    static alloc(): _MTRElectricalGridConditionsClusterElectricalGridConditionsStruct;
    static new(): _MTRElectricalGridConditionsClusterElectricalGridConditionsStruct;
    init(): _MTRElectricalGridConditionsClusterElectricalGridConditionsStruct;
    periodStart(): _NSNumber;
    setPeriodStart$(value: _NSNumber): void;
    periodEnd(): _NSNumber | null;
    setPeriodEnd$(value: _NSNumber | null): void;
    gridCarbonIntensity(): _NSNumber;
    setGridCarbonIntensity$(value: _NSNumber): void;
    gridCarbonLevel(): _NSNumber;
    setGridCarbonLevel$(value: _NSNumber): void;
    localCarbonIntensity(): _NSNumber;
    setLocalCarbonIntensity$(value: _NSNumber): void;
    localCarbonLevel(): _NSNumber;
    setLocalCarbonLevel$(value: _NSNumber): void;
}
export interface _MTRElectricalGridConditionsClusterElectricalGridConditionsStruct extends _NSCopying {
}
